com.verisign.epp.codec.registry.v01

## Class EPPRegistryMaxSig

- java.lang.Object
- - com.verisign.epp.codec.registry.v01.EPPRegistryMaxSig

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryMaxSig
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPRegistryMaxSig` defines the maximum signature lifetime policies.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_CLIENT_DEFINED` XML Element Name of `clientDefined` attribute.
    `static java.lang.String` | `ELM_DEFAULT` XML Element Name of `defaultLife` attribute.
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryMaxSig`.
    `static java.lang.String` | `ELM_MAX` XML Element Name of `max` attribute.
    `static java.lang.String` | `ELM_MIN` XML Element Name of `min` attribute.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryMaxSig`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryMaxSig()` Default constructor.
    `EPPRegistryMaxSig(java.lang.Boolean aClientDefined, java.lang.Integer aDefaultLife, java.lang.Integer aMin, java.lang.Integer aMax)` Constructor that takes all attributes as parameters.
    `EPPRegistryMaxSig(boolean clientDefined, int defaultLife, int min, int max)` Constructor that takes all attributes as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryMaxSig`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryMaxSig` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryMaxSig` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryMaxSig` compare.
    `java.lang.Boolean` | `getClientDefined()` Gets the OPTIONAL boolean flag indicating whether the client can set the maximum signature lifetime with a default value of "false".
    `java.lang.Integer` | `getDefaultLife()` Gets the OPTIONAL default maximum signature lifetime set by the server.
    `java.lang.Integer` | `getMax()` Gets the OPTIONAL maximum signature lifetime supported.
    `java.lang.Integer` | `getMin()` Gets the OPTIONAL minimum signature lifetime supported.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `boolean` | `hasDefaultLife()` Is the default lifetime defined?
    `boolean` | `hasMax()` Is the maximum signature lifetime defined?
    `boolean` | `hasMin()` Is the minimum signature lifetime defined?
    `void` | `setClientDefined(java.lang.Boolean aClientDefined)` Sets the OPTIONAL boolean flag indicating whether the client can set the maximum signature lifetime with a default value of "false".
    `void` | `setDefaultLife(java.lang.Integer aDefaultLife)` Sets the OPTIONAL default maximum signature lifetime set by the server.
    `void` | `setMax(java.lang.Integer aMax)` Sets the OPTIONAL maximum signature lifetime supported.
    `void` | `setMin(java.lang.Integer aMin)` Sets the OPTIONAL minimum signature lifetime supported.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryMaxSig`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryMaxSig`.
      See Also:
        Constant Field Values

    - #### ELM_CLIENT_DEFINED

          public static final java.lang.String ELM_CLIENT_DEFINED

      XML Element Name of `clientDefined` attribute.
      See Also:
        Constant Field Values

    - #### ELM_DEFAULT

          public static final java.lang.String ELM_DEFAULT

      XML Element Name of `defaultLife` attribute.
      See Also:
        Constant Field Values

    - #### ELM_MIN

          public static final java.lang.String ELM_MIN

      XML Element Name of `min` attribute.
      See Also:
        Constant Field Values

    - #### ELM_MAX

          public static final java.lang.String ELM_MAX

      XML Element Name of `max` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryMaxSig

          public EPPRegistryMaxSig()

      Default constructor.

    - #### EPPRegistryMaxSig

          public EPPRegistryMaxSig(java.lang.Boolean aClientDefined,
                                   java.lang.Integer aDefaultLife,
                                   java.lang.Integer aMin,
                                   java.lang.Integer aMax)

      Constructor that takes all attributes as parameters.
      Parameters:
        `aClientDefined` - Boolean flag indicating whether the client can set the maximum signature lifetime. If set to `null`, `Boolean.FALSE` will be used.
        `aDefaultLife` - Default maximum signature lifetime set by the server. Set to `null` if undefined.
        `aMin` - Minimum signature lifetime supported. Set to `null` if undefined.
        `aMax` - Maximum signature lifetime supported. Set to `null` if undefined.

    - #### EPPRegistryMaxSig

          public EPPRegistryMaxSig(boolean clientDefined,
                                   int defaultLife,
                                   int min,
                                   int max)

      Constructor that takes all attributes as parameters.
      Parameters:
        `aClientDefined` - Boolean flag indicating whether the client can set the maximum signature lifetime. Must be set to `Boolean.FALSE` for this constructor, since the minimum and maximum signature lifetime attributes will be defined.
        `aDefaultLife` - Default maximum signature lifetime set by the server.
        `aMin` - Minimum signature lifetime supported.
        `aMax` - Maximum signature lifetime supported.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryMaxSig` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryMaxSig` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryMaxSig` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryMaxSig` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryMaxSig` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryMaxSig`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryMaxSig`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryMaxSig` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryMaxSig` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getClientDefined

          public java.lang.Boolean getClientDefined()

      Gets the OPTIONAL boolean flag indicating whether the client can set the maximum signature lifetime with a default value of "false".
      Returns:
        Boolean flag indicating whether the client can set the maximum signature lifetime with a default value `Boolean.FALSE`.

    - #### setClientDefined

          public void setClientDefined(java.lang.Boolean aClientDefined)

      Sets the OPTIONAL boolean flag indicating whether the client can set the maximum signature lifetime with a default value of "false".
      Parameters:
        `aClientDefined` - Boolean flag indicating whether the client can set the maximum signature lifetime. If set to `null` the default value of `Boolean.FALSE` will be used.

    - #### hasDefaultLife

          public boolean hasDefaultLife()

      Is the default lifetime defined?
      Returns:
        `true` if the default lifetime is defined; `false` otherwise.

    - #### getDefaultLife

          public java.lang.Integer getDefaultLife()

      Gets the OPTIONAL default maximum signature lifetime set by the server.
      Returns:
        Default maximum signature lifetime set by the server. if defined; `null` otherwise.

    - #### setDefaultLife

          public void setDefaultLife(java.lang.Integer aDefaultLife)

      Sets the OPTIONAL default maximum signature lifetime set by the server.
      Parameters:
        `aDefaultLife` - Default maximum signature lifetime set by the server. Set to `null` to clear the attribute.

    - #### hasMin

          public boolean hasMin()

      Is the minimum signature lifetime defined?
      Returns:
        `true` if the minimum signature lifetime is defined; `false` otherwise.

    - #### getMin

          public java.lang.Integer getMin()

      Gets the OPTIONAL minimum signature lifetime supported.
      Returns:
        Minimum signature lifetime supported if defined; `null` otherwise.

    - #### setMin

          public void setMin(java.lang.Integer aMin)

      Sets the OPTIONAL minimum signature lifetime supported.
      Parameters:
        `aMin` - Minimum signature lifetime supported. Set to `null` to clear the attribute.

    - #### hasMax

          public boolean hasMax()

      Is the maximum signature lifetime defined?
      Returns:
        `true` if the maximum signature lifetime is defined; `false` otherwise.

    - #### getMax

          public java.lang.Integer getMax()

      Gets the OPTIONAL maximum signature lifetime supported.
      Returns:
        Maximum signature lifetime supported if defined; `null` otherwise.

    - #### setMax

          public void setMax(java.lang.Integer aMax)

      Sets the OPTIONAL maximum signature lifetime supported.
      Parameters:
        `aMax` - Maximum signature lifetime supported. Set to `null` to clear the attribute.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.